Old StyleCop versions support

Coordinator
May 28, 2010 at 3:47 PM
Edited May 28, 2010 at 3:48 PM

Dear hfrmobile,

According to http://stylecopplus.codeplex.com/WorkItem/View.aspx?WorkItemId=6708 I am going to make (and support) several branches for all major StyleCop versions.

This is a list of StyleCop versions, that I would like to ensure StyleCop+ compatibility with:
- StyleCop 4.3.1.3
- StyleCop 4.3.2.1
- StyleCop 4.3.3.0
- StyleCop 4.4.0.9 and later

The only problem is I can't find versions 4.3.1.3 and 4.3.2.1.
They were removed from MSDN Code Gallery (replaced with 4.3.3.0) and I failed to google them.

Could you please provide me with MSIs for 4.3.1.3 and 4.3.2.1 (if you have any)?

P.S. Thanks to you for your activity!

Best regards,
Oleg Shuruev 

May 30, 2010 at 12:03 PM

Thank you for your effort!

I added what I found/using to my SkyDrive:

http://cid-9015c1e219cdfada.skydrive.live.com/browse.aspx/Public/StyleCop

(currently contains the MSI-Package for StyleCop 4.3.1.3 and the assemblies for 4.3.1.3 and 4.3.2.1 (which I used to compile the NerdBank custom rules).

I'll continue searching the MSI-Package for 4.3.2.1 .... (currently using 4.3.1.3 with VS2005)

Best regards,
Harald-René Flasch (aka hfrmobile)

Coordinator
May 31, 2010 at 10:15 AM
Edited May 31, 2010 at 10:15 AM

Thanks for DLLs, they are exactly I was looking for!
(In fact, there is no need to search for MSIs now.)

I will begin creating the branches.

Best regards,
Oleg Shuruev 

May 31, 2010 at 7:54 PM

Great!

Thank you very much for providing branches!

Coordinator
Jul 21, 2010 at 2:42 PM

Hi Harald-René,

Could you please check out with documentation I've recently created?

http://stylecopplus.codeplex.com/#howToUse
http://stylecopplus.codeplex.com/wikipage?title=Compatibility%20Issues

The point is, starting from StyleCop+ 0.9, it is possible to use it with the following versions of StyleCop:
- StyleCop 4.3.1.3
- StyleCop 4.3.2.1
- StyleCop 4.3.3.0
- StyleCop 4.4.0.9 (natively supported)
- StyleCop 4.4.0.14

It would be great if you give your feedback about documentation itself, or about running StyleCop+ with StyleCop 4.3.x.x.

Thank you!

Best regards,
Oleg Shuruev

Jul 22, 2010 at 11:07 AM
Edited Jul 22, 2010 at 11:36 AM

Hi Oleg,

well done! I installed StyleCop+ 0.9 assembly for StyleCop 4.3 (using StyleCop 4.3.1.3) onto one of my developer machines and configured the assembly bindings as described in your documentation and it works fine using MSBuild + VS2005.

Thanks a lot!

Best regards,
Harald-René Flasch